# Fees

## Get Trade Fees

<mark style="color:blue;">`GET`</mark> `https://api.vaultoro.com/v1/private/history/fees`

This endpoint allows you to get the fees for your trades.

#### Query Parameters

| Name          | Type   | Description                                       |
| ------------- | ------ | ------------------------------------------------- |
| handle        | string | Filter results by a handle, BTC, DASH or GOLD     |
| sortDirection | string | The direction to sort the results, either 1 or -1 |
| sort          | string | Sort the results by createdAt or updatedAt        |
| until         | string | Unix timestamp to filter the results until        |
| since         | string | Unix timestamp to filter results since            |
| limit         | number | Limit the number of results.                      |
| page          | number | Return a specific page.                           |

#### Headers

| Name   | Type   | Description                              |
| ------ | ------ | ---------------------------------------- |
| VTOKEN | string | Your API token to authenticate requests. |

{% tabs %}
{% tab title="200 Fees successfully retrieved." %}

```
{
    "data": [
        {
            "createdAt": 1595428047,
            "handle": "GOLD",
            "referenceId": "1hik3av6xqkcxgnzqr",
            "status": "VALID",
            "type": "VOLUME30",
            "value": "0.00226276"
        }
    ],
    "pagination": {
        "count": 1
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.vaultoro.com/history/fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
